﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class SSCWebDBEntities1 : DbContext
    {
        public SSCWebDBEntities1()
            : base("name=SSCWebDBEntities1")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public DbSet<MaDesignation> MaDesignations { get; set; }
        public DbSet<Tb_Admin> Tb_Admin { get; set; }
        public DbSet<MaCourse> MaCourses { get; set; }
        public DbSet<MaDiscount> MaDiscounts { get; set; }
        public DbSet<Tb_FeeAdjustment> Tb_FeeAdjustment { get; set; }
        public DbSet<Tb_FeeRefund> Tb_FeeRefund { get; set; }
        public DbSet<MaFrmReference> MaFrmReferences { get; set; }
        public DbSet<MaTime> MaTimes { get; set; }
        public DbSet<MaPackage> MaPackages { get; set; }
        public DbSet<Tb_Ledger> Tb_Ledger { get; set; }
        public DbSet<MaGroupAssign> MaGroupAssigns { get; set; }
        public DbSet<MaDetail> MaDetails { get; set; }
        public DbSet<Tb_Installment> Tb_Installment { get; set; }
        public DbSet<Tb_AdmissEmpHist> Tb_AdmissEmpHist { get; set; }
        public DbSet<Tb_EmployHist> Tb_EmployHist { get; set; }
        public DbSet<Tb_StudentTransfer> Tb_StudentTransfer { get; set; }
        public DbSet<MaBugReport> MaBugReports { get; set; }
        public DbSet<Tb_Highestqual> Tb_Highestqual { get; set; }
        public DbSet<Tb_AdmissHigQual> Tb_AdmissHigQual { get; set; }
        public DbSet<Tb_VisaPayment> Tb_VisaPayment { get; set; }
        public DbSet<MaClosedReason> MaClosedReasons { get; set; }
        public DbSet<User> Users { get; set; }
        public DbSet<Tb_VisaFollowUp> Tb_VisaFollowUp { get; set; }
        public DbSet<MaEnqFollow> MaEnqFollows { get; set; }
        public DbSet<Tb_StudLeave> Tb_StudLeave { get; set; }
        public DbSet<Tb_DemoHistory> Tb_DemoHistory { get; set; }
        public DbSet<Tb_CourseHist> Tb_CourseHist { get; set; }
        public DbSet<MaEnquiry> MaEnquiries { get; set; }
        public DbSet<Tb_MockTest> Tb_MockTest { get; set; }
        public DbSet<MaGroupTime_View> MaGroupTime_View { get; set; }
        public DbSet<MaTime_View> MaTime_View { get; set; }
        public DbSet<Ma_Area> Ma_Area { get; set; }
        public DbSet<MockTestStudent> MockTestStudents { get; set; }
        public DbSet<St_CourseGroup> St_CourseGroup { get; set; }
        public DbSet<St_EnqAbout> St_EnqAbout { get; set; }
        public DbSet<StudentCourseHisorty> StudentCourseHisorties { get; set; }
        public DbSet<MaRole> MaRoles { get; set; }
        public DbSet<MaSecurity> MaSecurities { get; set; }
        public DbSet<St_UserType> St_UserType { get; set; }
        public DbSet<St_PackageHours> St_PackageHours { get; set; }
        public DbSet<AdmissionView> AdmissionViews { get; set; }
        public DbSet<St_BookType> St_BookType { get; set; }
        public DbSet<Tb_SmsTmp> Tb_SmsTmp { get; set; }
        public DbSet<MockTestStudentsEnq> MockTestStudentsEnqs { get; set; }
        public DbSet<Vw_EnquiryFollow> Vw_EnquiryFollow { get; set; }
        public DbSet<Ma_PayMode> Ma_PayMode { get; set; }
        public DbSet<Tb_FeeReceipt> Tb_FeeReceipt { get; set; }
        public DbSet<MaBranch> MaBranches { get; set; }
        public DbSet<IeltsResult_View> IeltsResult_View { get; set; }
        public DbSet<MaCity> MaCities { get; set; }
        public DbSet<Tb_Permission> Tb_Permission { get; set; }
        public DbSet<Tb_IELTSResult> Tb_IELTSResult { get; set; }
        public DbSet<Tb_CoursewiseDiscount> Tb_CoursewiseDiscount { get; set; }
        public DbSet<Tb_Homework> Tb_Homework { get; set; }
        public DbSet<Tb_Prefrence> Tb_Prefrence { get; set; }
        public DbSet<MaAdmission> MaAdmissions { get; set; }
        public DbSet<St_EnquiryType> St_EnquiryType { get; set; }
        public DbSet<Mockfollowup_view> Mockfollowup_view { get; set; }
        public DbSet<St_VisaType> St_VisaType { get; set; }
    }
}
